--- old/usr/src/man/man1m/pbind.1m	Tue Dec 29 19:12:18 2015
+++ new/usr/src/man/man1m/pbind.1m	Tue Dec 29 19:12:18 2015
@@ -1,4 +1,5 @@
 '\" te
+.\"  Copyright 2015 Ryan Zezeski
 .\"  Copyright (c) 2008, Sun Microsystems, Inc.
 .\"  All Rights Reserved
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
@@ -15,6 +16,11 @@
 
 .LP
 .nf
+\fBpbind\fR \fB-e\fR \fIprocessor_id\fR \fIcmd\fR [\fIargs\fR...]
+.fi
+
+.LP
+.nf
 \fBpbind\fR [\fB-q\fR] [\fIpid\fR [\fI/lwpid\fR]]...
 .fi
 
@@ -34,7 +40,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 \fBpbind\fR controls and queries bindings of processes and LWPs (lightweight
 processes) to processors. \fBpbind\fR can also remove processor bindings that
@@ -52,11 +57,15 @@
 example, binds all commands executed by the shell.
 .sp
 .LP
+The \fIprocessor_id\fR must be present and on-line. Use the
+\fBpsrinfo(1M)\fR command to determine which processors are
+available.
+.sp
+.LP
 Superusers may bind or unbind any process or LWP, while other users can bind or
 unbind any process or LWP for which they have permission to signal, that is,
 any process that has the same effective user ID as the user.
 .SH OPTIONS
-.sp
 .LP
 The following options are supported:
 .sp
@@ -66,16 +75,23 @@
 .ad
 .sp .6
 .RS 4n
-Binds all or a subset of the LWPs of the specified processes to the processor
-\fIprocessor_id\fR. Specify \fIprocessor_id\fR as the processor \fBID\fR of the
-processor to be controlled or queried. \fIprocessor_id\fR must be present and
-on-line. Use the \fBpsrinfo\fR command to determine whether or not
-\fIprocessor_id\fR is present and on-line. See \fBpsrinfo\fR(1M).
+Binds all or a subset of the LWPs of the specified processes to
+\fIprocessor_id\fR.
 .RE
 
 .sp
 .ne 2
 .na
+\fB-e\fR \fIprocessor_id\fR
+.ad
+.sp .6
+.RS 4n
+Execute a command while bound to \fIprocessor_id\fR.
+.RE
+
+.sp
+.ne 2
+.na
 \fB\fB-q\fR\fR
 .ad
 .sp .6
@@ -123,7 +139,6 @@
 .RE
 
 .SH OPERANDS
-.sp
 .LP
 The following operands are supported:
 .sp
@@ -166,6 +181,16 @@
 The processor \fBID\fR of the processor to be controlled or queried.
 .RE
 
+.sp
+.ne 2
+.na
+\fB\fIcmd\fR \fI[args...]\fR
+.ad
+.sp .6
+.RS 4n
+The command to execute along with optional arguments.
+.RE
+
 .SH EXAMPLES
 .LP
 \fBExample 1 \fRBinding Processes
@@ -249,9 +274,22 @@
 .in -2
 .sp
 
-.SH EXIT STATUS
+.LP
+\fBExample 6 \fRExecuting a bound command:
 .sp
 .LP
+The following example executes ls while bound to processor 6:
+
+.sp
+.in +2
+.nf
+example% \fBpbind -e 6 ls -la
+.fi
+.in -2
+.sp
+
+.SH EXIT STATUS
+.LP
 The following exit values are returned:
 .sp
 .ne 2
@@ -274,12 +312,10 @@
 .RE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBpsradm\fR(1M), \fBpsrinfo\fR(1M), \fBpsrset\fR(1M), \fBprocessor_bind\fR(2),
 \fBprocessor_info\fR(2), \fBsysconf\fR(3C), \fBattributes\fR(5)
 .SH DIAGNOSTICS
-.sp
 .ne 2
 .na
 \fB\fBpbind: cannot query pid 31: No such process\fR\fR
@@ -309,3 +345,12 @@
 The specified processor is not on-line.
 .RE
 
+.sp
+.ne 2
+.na
+\fBpbind: failed to exec\fR \fIcmd\fR
+.ad
+.sp .6
+.RS 4n
+Could not resolve the \fIcmd\fR from \fBPATH\fR.
+.RE
